RoutesBlogs module

Blogs routes

URLs the Blogs module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/blogs/add-blog addBlog

Add a new record. Assigns an empty record to the template.

The admin template receives
VariableTypeDescription
$blog Blog Single (empty) Blog record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/blogs/blog/{id} editBlog

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$blog Blog Retrieved Blog record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/blogs/blogs manageBlogs

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$blogs Collection<Blog> Collection of Blogs

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/blogs/add-post/{blog.id} addPost

Add a new record. Assigns an empty record to the template.

Path parameters blog.id matches \d+

The admin template receives
VariableTypeDescription
$post Post Single (empty) Post record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/blogs/post/{id}/{revision.id} editPost

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+revision.id matches \d+

The admin template receives
VariableTypeDescription
$post Post Retrieved Post record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/blogs/posts/{blog.id} managePosts

Retrieve available records and assign them to the template for editing.

Path parameters blog.id matches \d+

The admin template receives
VariableTypeDescription
$posts Collection<Post> Collection of Posts

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/blogs/post-revisions/{post.id}/{baseRevision}/{otherRevision} comparePostRevisions

Show comparison of post revisions

Path parameters post.id matches \d+baseRevision matches \d+otherRevision matches \d+

The admin template receives
VariableTypeDescription
$post Post Post for which revisions are compared
$baseRevision PostRevision Base revision
$otherRevision PostRevision Other revision for comparison
$baseLayout Layout Layout the base revision uses
$otherLayout Layout Layout the other revision uses

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/blogs/add-comment/{post.id} addComment

Add a new record. Assigns an empty record to the template.

Path parameters post.id matches \d+

The admin template receives
VariableTypeDescription
$comment Comment Single (empty) Comment record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/blogs/comment/{id} editComment

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$comment Comment Retrieved Comment record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/blogs/comments/{post.id} manageComments

Retrieve available records and assign them to the template for editing.

Path parameters post.id matches \d+

The admin template receives
VariableTypeDescription
$comments Collection<Comment> Collection of Comments

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.